#!/bin/bash
# This is a script in Bash.

# This script collects input files necessary for the program "gcm" and
# runs "gcm".

trap 'exit 1' ERR
set -x

export G95_FPU_UNDERFLOW=No
export G95_FPU_INVALID=No

cd ../WORKDIR
rm -f *.nc *.def

ln -s ../START/limit.nc .
ln -s ../START/restart2.nc start.nc
ln -s ../START/restartphy2.nc startphy.nc
ln -s ../NAMELIST/*.def .           

date

time ./gcm>gcm_out.txt 2>&1
echo -e '\a'

mv histday.nc ../HIST/histday2.nc
mv restart.nc ../START/restart3.nc
mv restartphy.nc ../START/restartphy3.nc
mv gcm_out.txt ../OUTPUT/gcm_out2.nc
mv lmdz.out ../OUTPUT/lmdz.out2.nc

rm -f *.nc *.def *trac

