c     
c     $Header: /home/cvsroot/LMDZ4/libf/phylmd/ini_histday.h,v 1.3 2005
C     /05/25 13:10:09 fairhead Exp $ 
c     
      IF (ok_journe) THEN
c     
         zstophy = dtime
         zstoday= dtime * FLOAT(ecrit_day)
         zout = dtime * FLOAT(ecrit_day)
c     
         idayref = day_ref
         CALL ymds2ju(annee_ref, 1, idayref, 0.0, zjulian)
c     
         CALL gr_fi_ecrit(1,klon,iim,jjmp1,rlon,zx_lon)
         DO i = 1, iim
            zx_lon(i,1) = rlon(i+1)
            zx_lon(i,jjmp1) = rlon(i+1)
         ENDDO
         DO ll=1,klev
            znivsig(ll)=float(ll)
         ENDDO
         CALL gr_fi_ecrit(1,klon,iim,jjmp1,rlat,zx_lat)
         CALL histbeg("histday", iim,zx_lon(:,1), jjmp1,zx_lat(1,:),
     .        1,iim,1,jjmp1, itau_phy, zjulian, dtime, 
     .        nhori, nid_day)
         CALL histvert(nid_day, "presnivs", "Vertical levels", "mb",
     .        klev, presnivs/100., nvert)
c     
         IF(lev_histday.GE.1) THEN
c     
            CALL histdef(nid_day, "phis", "Surface geop. height", 
     $           "m2/s2",iim,jjmp1,nhori, 1,1,1, -99, 32,
     $           "once", zstophy,zout)
c     
c     Champs 2D:
c     
            CALL histdef(nid_day, "tsol", "Surface Temperature", "K",
     .           iim,jjmp1,nhori, 1,1,1, -99, 32, 
     .           "ave(X)", zstophy,zout)
c     
            CALL histdef(nid_day, "t2m", "Temperature 2m", "K",
     .           iim,jjmp1,nhori, 1,1,1, -99, 32,
     .           "ave(X)", zstophy,zout)
c     
            CALL histdef(nid_day, "u10m", "Vent zonal 10m", "m/s",
     .           iim,jjmp1,nhori, 1,1,1, -99, 32,
     .           "ave(X)", zstophy,zout)
c     
            CALL histdef(nid_day, "v10m", "Vent meridien 10m", "m/s",
     .           iim,jjmp1,nhori, 1,1,1, -99, 32,
     .           "ave(X)", zstophy,zout)
c     
            CALL histdef(nid_day, "psol", "Surface Pressure", "Pa",
     .           iim,jjmp1,nhori, 1,1,1, -99, 32, 
     .           "ave(X)", zstophy,zout)
c     
            CALL histdef(nid_day, "precip", 
     &           "Precipitation Totale liq+sol", "kg/(s*m2)",
     .           iim,jjmp1,nhori, 1,1,1, -99, 32, 
     .           "ave(X)", zstophy,zout)
c     
            CALL histdef(nid_day, "snowf", "Snow fall", "kg/(m2*s)",
     .           iim,jjmp1,nhori, 1,1,1, -99, 32, 
     .           "ave(X)", zstophy,zout)
c     
            CALL histdef(nid_day, "evap", "Evaporation", "kg/(m2*s)",
     .           iim,jjmp1,nhori, 1,1,1, -99, 32, 
     .           "ave(X)", zstophy,zout)
c     
            CALL histdef(nid_day, "tops", "Solar rad. at TOA", "W/m2",
     .           iim,jjmp1,nhori, 1,1,1, -99, 32, 
     .           "ave(X)", zstophy,zout)
c     
            CALL histdef(nid_day, "topl", "IR rad. at TOA", "W/m2",
     .           iim,jjmp1,nhori, 1,1,1, -99, 32, 
     .           "ave(X)", zstophy,zout)
c     
            CALL histdef(nid_day, "sols", "Net Solar rad. at surf.", 
     .           "W/m2",
     .           iim,jjmp1,nhori, 1,1,1, -99, 32, 
     .           "ave(X)", zstophy,zout)
c     
            CALL histdef(nid_day, "soll", "Net IR rad. at surface", 
     &           "W/m2",
     .           iim,jjmp1,nhori, 1,1,1, -99, 32,
     .           "ave(X)", zstophy,zout)
c     
c     Champs dynamiques sur niveaux de pression
c     
            DO k=1, nlevSTD

               IF(k.GE.2.AND.k.LE.12) bb2=clevSTD(k)
               IF(k.GE.13.AND.k.LE.17) bb3=clevSTD(k)

c              IF(bb2.EQ."850".OR.bb2.EQ."700"
               IF(bb2.EQ."850"                 
     .              .OR.bb2.EQ."500".OR.bb2.EQ."200") THEN
c     
                  CALL histdef(nid_day, "u"//bb2,
     .                 "Zonal wind "//bb2//"mb","m/s",
     .                 iim,jjmp1,nhori, 1,1,1, -99, 32,
     .                 "ave(X)", zout,zout)
c     
                  CALL histdef(nid_day, "v"//bb2,
     .                 "Meridional wind "//bb2//"mb","m/s",
     .                 iim,jjmp1,nhori, 1,1,1, -99, 32,
     .                 "ave(X)", zout,zout)

                  CALL histdef(nid_day,"phi"//bb2,
     .                 "Geopotential "//bb2//"mb","m",
     .                 iim,jjmp1,nhori, 1,1,1, -99, 32,
     .                 "ave(X)", zout,zout)

                  CALL histdef(nid_day,"temp"//bb2,
     .                 "Temperature"//bb2//"mb","K",
     .                 iim,jjmp1,nhori, 1,1,1, -99, 32,
     .                 "ave(X)", zout,zout)
c     
               ENDIF    
c     
               IF(bb2.EQ."500") THEN
c     
                  CALL histdef(nid_day, "w"//bb2, "Vertical wind " 
     &                 //bb2//"mb",
     .                 "m/s",
     .                 iim,jjmp1,nhori, 1,1,1, -99, 32,
     .                 "ave(X)", zout,zout)
c     
               ENDIF            !(bb2.EQ."500")
c     
            ENDDO               !nlevSTD
c     
            CALL histdef(nid_day, "slp", "Sea Level Pressure", "Pa",
     .           iim,jjmp1,nhori, 1,1,1, -99, 32,
     .           "ave(X)", zstophy,zout)
c     
            CALL histdef(nid_day, "solldown", 
     &           "Down. IR rad. at surface", 
     .           "W/m2", iim,jjmp1,nhori, 1,1,1, -99, 32, 
     .           "ave(X)", zstophy,zout)
c     
            CALL histdef(nid_day, "sens", "Sensible heat flux", "W/m2",
     .           iim,jjmp1,nhori, 1,1,1, -99, 32, 
     .           "ave(X)", zstophy,zout)
c     
            CALL histdef(nid_day, "SWdnSFC", "SWdn at surface","W/m2",
     .           iim,jjmp1,nhori, 1,1,1,-99,
     .           32, "ave(X)", zstophy,zout)
         ENDIF                  !lev_histday.GE.1

         IF(lev_histday.GE.3) THEN
c=================================================================
c     INITIALISATION DES CHAMPS 3D
c=================================================================
c=================================================================
c=================================================================
c     Champs 3D:
c     
            CALL histdef(nid_day, "temp", "Air temperature", "K",
     .           iim,jjmp1,nhori, klev,1,klev,nvert, 32,
     .           "ave(X)", zstophy,zout)
c     
c           CALL histdef(nid_day, "ovap", "Specific humidity", "kg/kg",
c    .           iim,jjmp1,nhori, klev,1,klev,nvert, 32,
c    .           "ave(X)", zstophy,zout)
c     
c           CALL histdef(nid_day, "geop", "Geopotential height", 
c    &           "m2/s2",
c    .           iim,jjmp1,nhori, klev,1,klev,nvert, 32,
c    .           "ave(X)", zstophy,zout)
c     
            CALL histdef(nid_day, "vitu", "Zonal wind", "m/s",
     .           iim,jjmp1,nhori, klev,1,klev,nvert, 32,
     .           "ave(X)", zstophy,zout)
c     
            CALL histdef(nid_day, "vitv", "Meridional wind", "m/s",
     .           iim,jjmp1,nhori, klev,1,klev,nvert, 32,
     .           "ave(X)", zstophy,zout)
c     
            CALL histdef(nid_day, "vitw", "Vertical wind", "m/s",
     .           iim,jjmp1,nhori, klev,1,klev,nvert, 32,
     .           "ave(X)", zstophy,zout)
c     
c           CALL histdef(nid_day, "pres", "Air pressure", "Pa",
c    .           iim,jjmp1,nhori, klev,1,klev,nvert, 32,
c    .           "ave(X)", zstophy,zout)
c     
c=================================================================
c     FIN INITIALISATION DES CHAMPS 3D
c=================================================================
         ENDIF                  !  lev_histday.GE.3

         CALL histend(nid_day)
c     
         ndex2d = 0
         ndex3d = 0
c     
c=================================================================
      ENDIF                     ! fin de test sur ok_journe
